diff --git a/channels/chan_dahdi.c b/channels/chan_dahdi.c
index 60b6d2d..5bd2bd9 100644
--- a/channels/chan_dahdi.c
+++ b/channels/chan_dahdi.c
@@ -3668,7 +3668,7 @@ static int get_alarms(struct dahdi_pvt *p)
 {
 	int res;
 	struct dahdi_spaninfo zi;
-#if defined(HAVE_DAHDI) || defined(HAVE_ZAPTEL_CHANALARMS)
+#if !defined(HAVE_ZAPTEL) || defined(HAVE_ZAPTEL_CHANALARMS)
 	/*
 	 * The conditional compilation is needed only in asterisk-1.4 for
 	 * backward compatibility with old zaptel drivers that don't have
@@ -3687,7 +3687,7 @@ static int get_alarms(struct dahdi_pvt *p)
 	}
 	if (zi.alarms != DAHDI_ALARM_NONE)
 		return zi.alarms;
-#if defined(HAVE_DAHDI) || defined(HAVE_ZAPTEL_CHANALARMS)
+#if !defined(HAVE_ZAPTEL) || defined(HAVE_ZAPTEL_CHANALARMS)
 	/* No alarms on the span. Check for channel alarms. */
 	if ((res = ioctl(p->subs[SUB_REAL].dfd, DAHDI_GET_PARAMS, &params)) >= 0)
 		return params.chan_alarms;
diff --git a/configure.ac b/configure.ac
index d73b99d..de742f9 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1464,8 +1464,6 @@ if test "${USE_ZAPTEL}" != "no" && test "x${PBX_DAHDI}" != "x1"; then
 	CPPFLAGS="${saved_cppflags}"
 	if test "${ac_cv_member_ZT_PARAMS_chan_alarms}" = "yes"; then
 	     AC_DEFINE([HAVE_ZAPTEL_CHANALARMS], 1, [Define if your Zaptel drivers have chan_alarms.])
-	else
-	     AC_DEFINE([HAVE_ZAPTEL_CHANALARMS], 0, [Define if your Zaptel drivers have chan_alarms.])
 	fi
    elif test -n "${ZAPTEL_MANDATORY}"; 
    then
diff --git a/main/asterisk.c b/main/asterisk.c
index cee50d6..49537bb 100644
--- a/main/asterisk.c
+++ b/main/asterisk.c
@@ -74,7 +74,7 @@ ASTERISK_FILE_VERSION(__FILE__, "$Revision$")
 #include <pwd.h>
 #include <sys/stat.h>
 
-#if defined(HAVE_ZAPTEL) || defined (HAVE_DAHDI)
+#if defined (HAVE_DAHDI)
 #include <sys/ioctl.h>
 #include "asterisk/dahdi_compat.h"
 #endif
diff --git a/main/channel.c b/main/channel.c
index 1f92ed9..6ef8c5e 100644
--- a/main/channel.c
+++ b/main/channel.c
@@ -37,7 +37,7 @@ ASTERISK_FILE_VERSION(__FILE__, "$Revision$")
 #include <unistd.h>
 #include <math.h>
 
-#if defined(HAVE_ZAPTEL) || defined (HAVE_DAHDI)
+#if defined (HAVE_DAHDI)
 #include <sys/ioctl.h>
 #include "asterisk/dahdi_compat.h"
 #endif
